Announcement

Collapse
No announcement yet.

Radeon Gallium on ubuntu

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • #41
    But I remember that this hack makes gallium enabled on my HW using gallium driver once (~2 months ago). At least can see gallium string on glxinfo. Might be there is some code change on mesa lib. Thanks.

    Comment


    • #42
      I guess you might have been running the Gallium3D "softpipe" (CPU rendering) based on the work MostAwesomeDude did last year...

      Comment


      • #43
        It indeed was possible for r600. The driver used to check for the device ID and picked the softpipe driver (the only sort-of stable software rasterizer in Gallium by that time) if r3xx-r5xx hw was not detected (meaning that both these drivers had to be compiled in). Due to some ongoing refactoring in Gallium, this driver switch got broken at some point and nobody has fixed it so far.

        -Marek

        Comment


        • #44
          I ran into a strange thing here. It seems the gallium can only be working when i am a root user.
          When i run glxinfo as a root user, it gives me:
          OpenGL vendor string: X.Org R300 Project
          OpenGL renderer string: Gallium 0.4 on RV530
          OpenGL version string: 2.1 Mesa 7.9-devel
          OpenGL shading language version string: 1.2
          But I am a normal user, it is:
          OpenGL vendor string: Mesa Project
          OpenGL renderer string: Software Rasterizer
          OpenGL version string: 2.1 Mesa 7.9-devel
          OpenGL shading language version string: 1.20
          I am using gentoo.

          Comment


          • #45
            Originally posted by refugeer View Post
            I ran into a strange thing here. It seems the gallium can only be working when i am a root user.
            When i run glxinfo as a root user, it gives me:
            OpenGL vendor string: X.Org R300 Project
            OpenGL renderer string: Gallium 0.4 on RV530
            OpenGL version string: 2.1 Mesa 7.9-devel
            OpenGL shading language version string: 1.2
            But I am a normal user, it is:
            OpenGL vendor string: Mesa Project
            OpenGL renderer string: Software Rasterizer
            OpenGL version string: 2.1 Mesa 7.9-devel
            OpenGL shading language version string: 1.20
            I am using gentoo.
            If you're not yet in the video-group, try adding yourself to that.
            If that doesn't help add this section to your Xorg.conf:
            Code:
            Section "DRI"
                    Mode 0666
            EndSection

            Comment


            • #46
              Hi!

              I am using flgrx on Karmic and like to switch to the open source. I tried serveral guides on the web but did not made 3d work (Radoen HD4200/R600). Can someone tell me what i have to do? Give a link to a working tutorial?

              Comment


              • #47
                At this point it might be worth moving to an early version of Lucid. That should have all the bits you need for 3D and KMS already...

                Comment


                • #48
                  ok so iŽll do following:
                  -remove fglrx
                  -upgrade to lucid
                  -install xf86

                  Comment


                  • #49
                    Do you know that how can I force to use software Gallium3D.
                    Is there any way to do that?
                    I mean LLVMpipe thing?
                    Thanks.

                    Comment


                    • #50
                      Has anyone tried HoN with this lately? Does it still work(even with broken graphics)?

                      It always crashes when after a the game loads. I mean after joining a game, starting then loading into the actual game. The menu seems to work with some graphical errors.

                      Comment

                      Working...
                      X